Bug 56157 - init creates /etc/initrunlvl, doesn't take ownership of it?
init creates /etc/initrunlvl, doesn't take ownership of it?
Product: Red Hat Linux
Classification: Retired
Component: SysVinit (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-11-13 09:45 EST by Jonathan Kamens
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-28 00:57:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2001-11-13 09:45:34 EST
I just installed SysVinit-2.78-19, replacing SysVinit-2.79-2, which has a
bug which prevents me from using it.  I have *not* rebooted since I
installed SysVinit-2.78-19.  It appears that the file /etc/initrunlvl was
created as aprt of the installation of SysVinit-2.78-19, but this file
isn't owned by any package.

If SysVinit creates this file, then the SysVinit package should own it.
Comment 1 Bill Nottingham 2001-11-13 12:56:06 EST
It's a temporary file. Having these owned causes more problems than it's worth.
(see: numerous posts to enigma-list about 'rpm says this package owns all these
files! I don't have them installed - have I been hacked?'

Besides, the presence of that file indicates something else went wrong when it
was signaling init to re-exec itself.
Comment 2 Jonathan Kamens 2001-11-13 14:34:32 EST
Well, OK, then that's the bug :-).  Why was this file left around when I
installed 2.78-19 on top of 2.79-2?
Comment 3 Bill Nottingham 2001-11-13 14:40:25 EST
Not sure off the top of my head. Were there any messages about it failing to
re-exec init?

Do you have a /var/run/initlvl?
Comment 4 Jonathan Kamens 2001-11-13 14:43:14 EST
No /var/run/init* or /var/log/init*.  No error messages during the upgrade that
I can recall.

Try it :-).
Comment 5 Bill Nottingham 2001-11-13 15:01:45 EST
I did. It worked for me. :)

If you remove the file and run through the steps again, does it happen consistently?
Comment 6 Jonathan Kamens 2001-11-13 20:40:13 EST
This is what I did to duplicate the problem:

1) Install SysVinit-2.79-2.
2) Reboot.
3) "rpm -U --force SysVinit-2.78-19.i386.rpm".

After these three steps, /etc/initrunlvl was present.

I was unable to get it to reappear, after removing it, by various combinations
of "rpm -U --force" with either of the two versions of the package.  It seems
that the reboot has something to do with the sequence of events.

Perhaps this is something that has been fixed in 2.79, but I'd be hesitent to
close this bug before verifying that.  After all, it could be a *new* bug in
Comment 7 Jonathan Kamens 2001-11-13 20:40:50 EST
I should mention that I'm using kernel 2.2.19, not 2.4.x.  I doubt that's
relevant, but it's possible that it is.
Comment 8 Bill Nottingham 2005-01-28 00:57:57 EST
Closing out unresolved bugs on older, end-of-lifed releases.
Apologies for any lack of response.

Note You need to log in before you can comment on or make changes to this bug.